class TBlood
{
public:
	struct TPoint
	{
		float x, y, time, rotation;
		int	type;
	};

	TBlood();
	Add(float x, float y, int BloodType, float time);
	Delete(int Index);
	Update(float dt);
	Render(float X, float Y);

	TPoint Point[10000];
	int MaxBlood;

private:
	HTEXTURE texType1, texType2, texType3;
	hgeSprite *sprType1, *sprType2, *sprType3;

};